[DEFAULT]
debug = True
use_stderr = False
log_file = 

[auth]
use_dynamic_credentials = True
admin_username = barbican-user_cc0eeefc-3af5-435b-9cc8-db4c90609d6d
admin_password = 0ee96f9b-0824-4a20-bcaa-993fb3689163
admin_project_name = barbican-project_cc0eeefc-3af5-435b-9cc8-db4c90609d6d
admin_domain_name = Default
tempest_roles = creator

[compute]
image_ref = 2b40f3f1-17e8-4bb7-9c7b-504687b652e8
image_ref_alt = bda72b17-ef8f-4fe7-af37-a326bbaaf34b
flavor_ref = bfc8901d-24ee-4de4-adcc-be3161e6496c
flavor_ref_alt = 8c505c07-8db1-4c85-9cc8-27803571ce23
fixed_network_name = barbican-net_cc0eeefc-3af5-435b-9cc8-db4c90609d6d
volume_device_name = sdc
min_compute_nodes = 2
endpoint_type = internal

[compute-feature-enabled]
live_migration = True
resize = True
vnc_console = False
attach_encrypted_volume = False
scheduler_available_filters = RetryFilter,AvailabilityZoneFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter
spice_console = True
shelve = False

[data-processing]
endpoint_type = internal

[identity]
region = RegionOne
auth_version = v3
uri = http://172.16.10.36:35357/v2.0
uri_v3 = http://172.16.10.36:35357/v3
disable_ssl_certificate_validation = False
ca_certificates_file = /etc/ssl/certs/ca-certificates.crt
admin_role = admin
admin_domain_scope = True
default_domain_id = default
v3_endpoint_type = internal

[identity-feature-enabled]
api_v2 = False
api_v2_admin = False

[image-feature-enabled]
deactivate_image = True
api_v2 = True
api_v1 = False

[input-scenario]
ssh_user_regex = [["^.*[Cc]irros.*$", "cirros"], ["^.*[Tt]est[VvMm].*$", "cirros"], ["^.*rally_verify.*$", "cirros"]]

[network]
public_network_id = f65faf8c-5e2b-4b7a-a5f5-a6881484010c
floating_network_name = floating_net
default_network = 192.168.120.0/24
project_network_cidr = 192.168.120.0/24
project_networks_reachable = False
endpoint_type = internal

[network-feature-enabled]
ipv6_subnet_attributes = True
ipv6 = True
api_extensions = default-subnetpools,availability_zone,network_availability_zone,auto-allocated-topology,ext-gw-mode,binding,metering,agent,subnet_allocation,dhcp_agent_scheduler,trunk-details,external-net,flavors,net-mtu,network-ip-availability,quotas,standard-attr-tag,availability_zone_filter,revision-if-match,provider,multi-provider,quota_details,address-scope,trunk,extraroute,net-mtu-writable,empty-string-filtering,subnet-service-types,port-mac-address-regenerate,standard-attr-timestamp,service-type,port-security,extra_dhcp_opt,port-security-groups-filtering,standard-attr-revisions,pagination,sorting,security-group,rbac-policies,standard-attr-description,ip-substring-filtering,router,allowed-address-pairs,binding-extended,project-id,dvr

[object-storage]
operator_role = SwiftOperator
reseller_admin_role = ResellerAdmin
endpoint_type = internal

[oslo_concurrency]
lock_path = 

[orchestration]
instance_type = 
stack_owner_role = heat_stack_owner
stack_user_role = heat_stack_user
endpoint_type = internal

[scenario]
img_dir = /home/opnfv/functest/images
img_file = cirros-0.4.0-x86_64-disk.img
img_disk_format = qcow2
img_properties = hw_disk_bus:scsi,hw_scsi_model:virtio-scsi

[service_available]
cinder = True
glance = True
heat = True
ironic = False
neutron = True
nova = True
sahara = False
swift = False

[validation]
run_validation = True
image_ssh_user = cirros
connect_method = floating
ssh_timeout = 130

[volume-feature-enabled]
bootable = True
backup = False

[volume]
endpoint_type = internal
storage_protocol = iSCSI

[image]
endpoint_type = internal

[glance]
verify_glance_signatures = True

[ephemeral_storage_encryption]
enabled = True

